summaryrefslogtreecommitdiffstats
path: root/system/ncdu
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 15:18:41 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:41 +0200
commit870fc227989e5f5ae2011bc506329f862003c0f5 (patch)
tree02d51f7a97ae59c183edca6b948c6771adf4bc12 /system/ncdu
parent796e09f420c685738be4a536db87eac69a02a27b (diff)
downloadslackbuilds-870fc227989e5f5ae2011bc506329f862003c0f5.tar.gz
slackbuilds-870fc227989e5f5ae2011bc506329f862003c0f5.tar.xz
system/ncdu: Initial import
Diffstat (limited to 'system/ncdu')
-rw-r--r--system/ncdu/README7
-rw-r--r--system/ncdu/ncdu.SlackBuild51
-rw-r--r--system/ncdu/ncdu.info8
-rw-r--r--system/ncdu/slack-desc11
4 files changed, 77 insertions, 0 deletions
diff --git a/system/ncdu/README b/system/ncdu/README
new file mode 100644
index 0000000000..3ba17e9948
--- /dev/null
+++ b/system/ncdu/README
@@ -0,0 +1,7 @@
+NCurses Disk Usage
+
+As the name already suggests, ncdu is an NCurses version of the famous
+old 'du' unix command. It provides a fast and easy interface to your
+harddrive. Where is your disk space going? Why is your home directory
+that large? ncdu can answer those questions for you in just a matter
+of seconds!
diff --git a/system/ncdu/ncdu.SlackBuild b/system/ncdu/ncdu.SlackBuild
new file mode 100644
index 0000000000..296583edd5
--- /dev/null
+++ b/system/ncdu/ncdu.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for ncdu
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=ncdu
+VERSION=0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/ncdu/ncdu.info b/system/ncdu/ncdu.info
new file mode 100644
index 0000000000..6548e3efeb
--- /dev/null
+++ b/system/ncdu/ncdu.info
@@ -0,0 +1,8 @@
+PRGNAM="ncdu"
+VERSION="0.2"
+HOMEPAGE="http://dev.yorhel.nl/ncdu/"
+DOWNLOAD="http://dev.yorhel.nl/download/ncdu-0.2.tar.gz"
+MD5SUM="31b5a10b6c9dff8d1924556e1a4b84d7"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/system/ncdu/slack-desc b/system/ncdu/slack-desc
new file mode 100644
index 0000000000..9390f0c76f
--- /dev/null
+++ b/system/ncdu/slack-desc
@@ -0,0 +1,11 @@
+ncdu: ncdu - NCurses Disk Usage
+ncdu:
+ncdu: As the name already suggests, ncdu is an NCurses version of the famous
+ncdu: old 'du' unix command. It provides a fast and easy interface to your
+ncdu: harddrive. Where is your disk space going? Why is your home directory
+ncdu: that large? ncdu can answer those questions for you in just a matter
+ncdu: of seconds!
+ncdu:
+ncdu:
+ncdu: http://dev.yorhel.nl/ncdu/
+ncdu: